snap packages do not run with the intel i915_bpo driver

Asked by Shaleen Jain on 2016-06-19

Unable to run any snap package with the Intel Skylake chipset.

$ ubuntu-calculator-app.calculator
```
libGL error: unable to load driver: i915_bpo_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i915_bpo
libGL error: unable to load driver: i915_bpo_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i915_bpo
qml: PageWithBottomEdge_QMLTYPE_30_QML_62(0x1c34e00)"Calculator": In Ubuntu.Components 1.3, the use of Page.title, Page.flickable and Page.head is deprecated. Use Page.header and the PageHeader component instead.
qml: FavouritePage_QMLTYPE_29(0x1f19b20): In Ubuntu.Components 1.3, the use of Page.title, Page.flickable and Page.head is deprecated. Use Page.header and the PageHeader component instead.
LocalStorage: can't create path - "/snap/ubuntu-calculator-app/5/usr/share/com.ubuntu.calculator/Databases"
QSqlQuery::prepare: database not open
file:///snap/ubuntu-calculator-app/5/usr/share/ubuntu-calculator-app/engine/CalculationHistory.qml:95: Error:
qml: [LOG]: Detecting first time run by user. Starting welcome wizard.
XmbTextListToTextProperty result code -2
Illegal instruction (core dumped)
```

I have the xserver-xorg-video-intel package installed.

Description: Ubuntu 16.04 LTS
Release: 16.04
snapd:
  Installed: 2.0.8

Question information

Language:
English Edit question
Status:
Open
For:
Ubuntu snapd Edit question
Assignee:
No assignee Edit question
Last query:
2016-06-19
Last reply:

Can you help with this problem?

Provide an answer of your own, or ask Shaleen Jain for more information if necessary.

To post a message you must log in.